%define	upstream_name	 File-Remove
%define upstream_version 1.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Remove files and directories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.290.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
A Perl module to remove files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.520.0-2.mga3
+ Revision: 367343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.520.0-1.mga3
+ Revision: 254949
- update to 1.52

* Thu Nov 03 2011 jquelin <jquelin> 1.510.0-1.mga2
+ Revision: 162210
- update to 1.51
- update to 1.50

* Mon Mar 14 2011 jquelin <jquelin> 1.490.0-1.mga1
+ Revision: 70985
- update to 1.49

* Sun Mar 13 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 70548
- update to 1.48

* Fri Feb 25 2011 jquelin <jquelin> 1.460.0-1.mga1
+ Revision: 59783
- update to 1.46
- update to 1.46

* Wed Jan 19 2011 jquelin <jquelin> 1.420.0-1.mga1
+ Revision: 23948
- cleaning spec file
- imported package perl-File-Remove

